package com.ruoyi.zhiyuanzhe.controller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.zhiyuanzhe.domain.BDistributionRecords;
import com.ruoyi.zhiyuanzhe.domain.request.BActivityPointsRequest;
import com.ruoyi.zhiyuanzhe.service.IBDistributionRecordsService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 兑换记录Controller
 *
 * @author ruoyi
 * @date 2023-09-19
 */
@RestController
@Api(tags = "兑换记录")
@RequestMapping("/zhiyuanzhe/dsbrecords")
@Transactional(rollbackFor = Exception.class)
public class BDistributionRecordsController extends BaseController {

    @Resource
    private IBDistributionRecordsService bDistributionRecordsService;

    /**
     * 查询兑换记录列表
     *
     * @param bDistributionRecords 查询条件
     * @return 兑换记录列表
     */
    @ApiOperation(value = "查询兑换记录列表", response = BDistributionRecords.class)
    @GetMapping("/list")
    public TableDataInfo list(BDistributionRecords bDistributionRecords) {
        startPage();
        List<BDistributionRecords> list = bDistributionRecordsService.selectBDistributionRecordsList(bDistributionRecords);
        return getDataTable(list);
    }

    /**
     * 导出兑换记录列表
     */
    @ApiOperation(value = "导出兑换记录列表")
    @PostMapping("/export")
    public void export(HttpServletResponse response, BDistributionRecords bDistributionRecords) {
        List<BDistributionRecords> list = bDistributionRecordsService.selectBDistributionRecordsList(bDistributionRecords);
        ExcelUtil<BDistributionRecords> util = new ExcelUtil<BDistributionRecords>(BDistributionRecords.class);
        util.exportExcel(response, list, "兑换记录数据");
    }

    /**
     * 获取兑换记录详细信息
     */
    @ApiOperation(value = "获取兑换记录详细信息", response = BDistributionRecords.class)
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id) {
        return success(bDistributionRecordsService.selectBDistributionRecordsById(id));
    }

    /**
     * 发放个性化证书
     *
     * @param req 个性化证书信息
     * @return 响应类
     */
    @ApiOperation(value = "发放个性化证书")
    @PostMapping("/issue")
    public AjaxResult issue(@RequestBody BActivityPointsRequest req) {
        bDistributionRecordsService.issue(req);
        return success();
    }
}
