package com.ruoyi.zhiyuanzhe.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 活动管理对象 b_activity
 *
 * @author ruoyi
 * @date 2023-09-18
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("活动管理对象")
public class BActivity extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private Long id;

    /**
     * 活动名称
     */
    @ApiModelProperty(value = "活动名称")
    @Excel(name = "活动名称")
    private String name;

    /**
     * 活动内容
     */
    @ApiModelProperty(value = "活动内容")
    @Excel(name = "活动内容")
    private String content;

    /**
     * 活动举办方
     */
    @ApiModelProperty(value = "活动举办方")
    @Excel(name = "活动举办方")
    private String publisher;

    /**
     * 活动时间
     */
    @ApiModelProperty(value = "活动时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "活动时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date activityTime;

    /**
     * 活动地址
     */
    @ApiModelProperty(value = "活动地址")
    @Excel(name = "活动地址")
    private String address;

    /**
     * 年龄
     */
    @ApiModelProperty(value = "年龄")
    @Excel(name = "年龄")
    private String ageRange;

    /**
     * 小区
     */
    @ApiModelProperty(value = "小区")
    @Excel(name = "小区")
    private String housingRange;

    /**
     * 文化程度
     */
    @ApiModelProperty(value = "文化程度")
    @Excel(name = "文化程度")
    private String educationRange;

    /**
     * 兴趣爱好
     */
    @ApiModelProperty(value = "兴趣爱好")
    @Excel(name = "兴趣爱好")
    private String interestRange;

    /**
     * 政治面貌
     */
    @ApiModelProperty(value = "政治面貌")
    @Excel(name = "政治面貌")
    private String politicalRange;

    /**
     * 性别
     */
    @ApiModelProperty(value = "性别")
    @Excel(name = "性别")
    private String sexRange;

    /**
     * 国籍
     */
    @Excel(name = "国籍")
    @ApiModelProperty(value = "国籍")
    private String nationalityRange;

    /**
     * 专业类型
     */
    @Excel(name = "专业类型")
    @ApiModelProperty(value = "专业类型")
    private String professionalRange;

    /**
     * 行业类型
     */
    @Excel(name = "行业类型")
    @ApiModelProperty(value = "行业类型")
    private String industryRange;

    /**
     * 院校
     */
    @Excel(name = "院校")
    @ApiModelProperty(value = "院校")
    private String schoolRange;


    /**
     * 截至时间
     */
    @ApiModelProperty(value = "截至时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "截至时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;


    /**
     * 活动状态1：进行中，2：停止
     */
    @ApiModelProperty(value = "活动状态1：进行中，2：停止")
    @Excel(name = "  活动状态1：进行中，2：停止")
    private Integer status;

    /**
     * 参与状态1：已参与，2：未参与
     */
    @ApiModelProperty(value = " 参与状态1：已参与，2：未参与")
    private Integer involveStaus;

    /**
     * 创建者ID
     */
    @Excel(name = "创建者ID")
    private Long createId;

    /**
     * 更新者ID
     */
    @Excel(name = "更新者ID")
    private Long updateId;

    /**
     * 用户权限id
     */
    @Excel(name = "用户权限id")
    private Long userId;

    /**
     * 部门权限id
     */
    @Excel(name = "部门权限id")
    private Long deptId;

    /**
     * 状态 0:未邀请 1:已邀请 2:已报名 活动推荐使用
     */
    @ApiModelProperty(value = "状态 0:未邀请 1:已邀请 2:已报名 活动推荐使用")
    private Integer activityStatus;

    /**
     * 用户匹配度 活动详情使用
     */
    @ApiModelProperty(value = "用户匹配度 活动详情使用")
    private Double degreeOfMatch;
}
