package com.ruoyi.zhiyuanzhe.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 发放记录对象 b_distribution_records
 *
 * @author ruoyi
 * @date 2023-09-19
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("发放记录对象")
public class BDistributionRecords extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private Long id;

    /**
     * 活动id
     */
    @ApiModelProperty(value = "活动id")
    @Excel(name = "活动id")
    private Long activityId;

    /**
     * 活动名称
     */
    @ApiModelProperty(value = "活动名称")
    @Excel(name = "活动名称")
    private String activityName;

    /**
     * 证书id
     */
    @Excel(name = "证书id")
    @ApiModelProperty(value = "证书id")
    private Long certificateId;

    /**
     * 证书名称
     */
    @Excel(name = "证书名称")
    @ApiModelProperty(value = "证书名称")
    private String certificateName;

    /**
     * 证书封面地址
     */
    @Excel(name = "证书封面地址")
    @ApiModelProperty(value = "证书封面地址")
    private String cover;

    /**
     * 1:一次性证书发放,2：个性化证书发放
     */
    @ApiModelProperty(value = "1:一次性证书发放,2：个性化证书发放")
    @Excel(name = "1:一次性证书发放,2：个性化证书发放")
    private Integer creType;

    /**
     * 1:电子证书 2:纸质证书
     */
    @ApiModelProperty(value = "1:电子证书 2:纸质证书")
    private Integer type;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    @Excel(name = "用户id")
    private Long uId;

    /**
     * 用户姓名
     */
    @ApiModelProperty(value = "用户姓名")
    @Excel(name = "用户姓名")
    private String userName;

    /**
     * 1:已发放，2：未发放
     */
    @ApiModelProperty(value = "1:已发放，2：未发放")
    @Excel(name = "1:已发放，2：未发放")
    private Integer status;

    /**
     * 快递单号
     */
    @ApiModelProperty(value = "快递单号")
    @Excel(name = "快递单号")
    private String trackingNumber;

    /**
     * 快递公司
     */
    @ApiModelProperty(value = "快递公司")
    @Excel(name = "快递公司")
    private String courierCompanies;

    /**
     * 邮寄地址
     */
    @ApiModelProperty(value = "邮寄地址")
    private String address;

    /**
     * 联系方式
     */
    @ApiModelProperty(value = "联系方式")
    private String phonenumber;


    /**
     * 创建者ID
     */
    @Excel(name = "创建者ID")
    private Long createId;

    /**
     * 更新者ID
     */
    @Excel(name = "更新者ID")
    private Long updateId;

    /**
     * 用户权限id
     */
    @Excel(name = "用户权限id")
    private Long userId;

    /**
     * 部门权限id
     */
    @Excel(name = "部门权限id")
    private Long deptId;


}
