package com.ruoyi.zhiyuanzhe.domain.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 兑换证书请求类
 *
 * @author wu
 * @since 2023/9/27 15:07
 */
@Data
@ApiModel(value = "兑换证书请求类")
public class PointsRedemptionExchangeRequest implements Serializable {
    private static final long serialVersionUID = -6002658083510167224L;


    /**
     * 证书id
     */
    @ApiModelProperty(value = "证书id")
    @NotNull(message = "证书id不能为空")
    private Long certificateId;

    /**
     * 证书类型 1:电子证书 2:纸质证书
     */
    @ApiModelProperty(value = "1:电子证书 2:纸质证书")
    @NotNull(message = "证书类型不能为空")
    private Integer type;

}
