package com.ruoyi.zhiyuanzhe.domain.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.zhiyuanzhe.domain.BPersonTags;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.List;

/**
 * 活动管理对象 b_activity
 *
 * @author ruoyi
 * @date 2023-09-18
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("活动管理对象查询详情响应类")
public class ActivityResponse extends BaseEntity {

    private static final long serialVersionUID = -1910414874086234697L;
    /**
     * 编号
     */
    private Long id;

    /**
     * 活动名称
     */
    @ApiModelProperty(value = "活动名称")
    private String name;

    /**
     * 活动内容
     */
    @ApiModelProperty(value = "活动内容")
    private String content;

    /**
     * 活动举办方
     */
    @ApiModelProperty(value = "活动举办方")
    private String publisher;

    /**
     * 活动时间
     */
    @ApiModelProperty(value = "活动时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date activityTime;

    /**
     * 活动地址
     */
    @ApiModelProperty(value = "活动地址")
    private String address;

    /**
     * 年龄
     */
    @ApiModelProperty(value = "年龄")
    private String ageRange;

    /**
     * 小区
     */
    @ApiModelProperty(value = "小区")
    private String housingRange;

    /**
     * 文化程度
     */
    @ApiModelProperty(value = "文化程度")
    private String educationRange;

    /**
     * 兴趣爱好
     */
    @ApiModelProperty(value = "兴趣爱好")
    private String interestRange;

    /**
     * 政治面貌
     */
    @ApiModelProperty(value = "政治面貌")
    private String politicalRange;

    /**
     * 性别
     */
    @ApiModelProperty(value = "性别")
    private String sexRange;

    /**
     * 国籍
     */
    @ApiModelProperty(value = "国籍")
    private String nationalityRange;

    /**
     * 专业类型
     */
    @ApiModelProperty(value = "专业类型")
    private String professionalRange;

    /**
     * 行业类型
     */
    @ApiModelProperty(value = "行业类型")
    private String industryRange;

    /**
     * 院校
     */
    @ApiModelProperty(value = "院校")
    private String schoolRange;


    /**
     * 截至时间
     */
    @ApiModelProperty(value = "截至时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;


    /**
     * 活动状态1：进行中，2：停止
     */
    @ApiModelProperty(value = "活动状态1：进行中，2：停止")
    private Integer status;

    /**
     * 参与状态1：已参与，2：未参与
     */
    @ApiModelProperty(value = " 参与状态1：已参与，2：未参与")
    private Integer involveStaus;

    /**
     * 创建者ID
     */
    private Long createId;

    /**
     * 更新者ID
     */
    private Long updateId;

    /**
     * 用户权限id
     */
    private Long userId;

    /**
     * 部门权限id
     */
    private Long deptId;

    /**
     * 未报名用户和已邀请用户
     */
    @ApiModelProperty(value = "未报名用户和已邀请用户")
    private List<BPersonTags> unregisteredUsers;

    /**
     * 已报名用户
     */
    @ApiModelProperty(value = "已报名用户")
    private List<BPersonTags> enrolledUsers;


}
