package com.ruoyi.zhiyuanzhe.domain.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 一次性活动证书发放管理列表响应类
 */
@Data
@ApiModel("一次性活动证书发放管理列表响应类")
public class BCertificatesResponse {


    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private Long  id;
    /**
     * 活动名称
     */
    @ApiModelProperty(value = "活动名称")
    private String name;


    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private Long uId;

    /**
     * 服务时长
     */
    @ApiModelProperty(value = "服务时长")
    private Long serviceDuration;


    /**
     * 1:已发放，2：未发放
     */
    @ApiModelProperty(value = "是否发放1:已发放，2：未发放")
    private Integer type;

    /**
     * 证书时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "证书时间")
    private Date datetime;



    /**
     * 活动id
     */
    @Excel(name = "活动id")
    @ApiModelProperty(value = "活动id")
    private Long activityId;

    /**
     * 证书id
     */
    @Excel(name = "证书id")
    @ApiModelProperty(value = "证书id")
    private Long certificateId;



    /**
     * 物流信息
     */
    @ApiModelProperty(value = "物流信息")
    @Excel(name = "物流信息")
    private String content;


    /**
     * 1:一次性证书发放,2：个性化证书发放
     */
    @ApiModelProperty(value = "1:一次性证书发放,2：个性化证书发放")
    private Integer creType;


}
