package com.ruoyi.zhiyuanzhe.mapper;

import java.util.List;
import com.ruoyi.zhiyuanzhe.domain.BReport;
import com.ruoyi.zhiyuanzhe.domain.request.BReportPageRequest;
import com.ruoyi.zhiyuanzhe.domain.response.BReportPageResponse;
import org.apache.ibatis.annotations.Param;

/**
 * 报名Mapper接口
 * 
 * @author ruoyi
 * @date 2023-09-21
 */
public interface BReportMapper 
{
    /**
     * 查询报名
     * 
     * @param id 报名主键
     * @return 报名
     */
    public BReport selectBReportById(Long id);

    /**
     * 查询报名列表
     * 
     * @param bReport 报名
     * @return 报名集合
     */
    public List<BReport> selectBReportList(BReport bReport);

    /**
     * 新增报名
     * 
     * @param bReport 报名
     * @return 结果
     */
    public int insertBReport(BReport bReport);

    /**
     * 修改报名
     * 
     * @param bReport 报名
     * @return 结果
     */
    public int updateBReport(BReport bReport);

    /**
     * 删除报名
     * 
     * @param id 报名主键
     * @return 结果
     */
    public int deleteBReportById(Long id);

    /**
     * 批量删除报名
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBReportByIds(Long[] ids);


    /**
     * 分页查询查询报名列表
     *
     * @param req 报名
     * @return 报名集合
     */
    public List<BReportPageResponse> selecAll(@Param("req") BReportPageRequest req);

}
