package com.ruoyi.zhiyuanzhe.service;

import com.ruoyi.zhiyuanzhe.domain.BInvite;

import java.util.List;


/**
 * 邀请Service接口
 *
 * @author ruoyi
 * @date 2023-09-19
 */
public interface IBInviteService {
    /**
     * 查询邀请
     *
     * @param id 邀请主键
     * @return 邀请
     */
    BInvite selectBInviteById(Long id);

    /**
     * 查询邀请列表
     *
     * @param bInvite 邀请
     * @return 邀请集合
     */
    List<BInvite> selectBInviteList(BInvite bInvite);

    /**
     * 新增邀请
     *
     * @param bInvite 邀请
     * @return 结果
     */
    int insertBInvite(BInvite bInvite);

    /**
     * 修改邀请
     *
     * @param bInvite 邀请
     * @return 结果
     */
    int updateBInvite(BInvite bInvite);

    /**
     * 批量删除邀请
     *
     * @param ids 需要删除的邀请主键集合
     * @return 结果
     */
    int deleteBInviteByIds(Long[] ids);

    /**
     * 删除邀请信息
     *
     * @param id 邀请主键
     * @return 结果
     */
    int deleteBInviteById(Long id);
}
