package com.ruoyi.zhiyuanzhe.service;

import com.ruoyi.zhiyuanzhe.domain.BReport;
import com.ruoyi.zhiyuanzhe.domain.request.BReportPageRequest;
import com.ruoyi.zhiyuanzhe.domain.response.BReportPageResponse;

import java.util.List;

/**
 * 报名Service接口
 *
 * @author ruoyi
 * @date 2023-09-21
 */
public interface IBReportService {
    /**
     * 查询报名
     *
     * @param id 报名主键
     * @return 报名
     */
    BReport selectBReportById(Long id);

    /**
     * 查询报名列表
     *
     * @param req 报名
     * @return 报名集合
     */
    List<BReport> selectBReportList(BReport req);

    /**
     * 新增报名
     *
     * @param bReport 报名
     * @return 结果
     */
    int insertBReport(BReport bReport);

    /**
     * 修改报名
     *
     * @param bReport 报名
     * @return 结果
     */
    int updateBReport(BReport bReport);

    /**
     * 批量删除报名
     *
     * @param ids 需要删除的报名主键集合
     * @return 结果
     */
    int deleteBReportByIds(Long[] ids);

    /**
     * 删除报名信息
     *
     * @param id 报名主键
     * @return 结果
     */
    int deleteBReportById(Long id);


    /**
     * 分页查询查询报名列表
     *
     * @param req 报名
     * @return 报名集合
     */
    List<BReportPageResponse> selecAll(BReportPageRequest req);


}
