package com.ruoyi.zhiyuanzhe.service.impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.zhiyuanzhe.domain.BCertificates;
import com.ruoyi.zhiyuanzhe.domain.request.BCertificatesRequest;
import com.ruoyi.zhiyuanzhe.domain.response.BCertificatesResponse;
import com.ruoyi.zhiyuanzhe.mapper.BCertificatesMapper;
import com.ruoyi.zhiyuanzhe.service.IBCertificatesService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


/**
 * 证书管理Service业务层处理
 *
 * @author ruoyi
 * @date 2023-09-19
 */
@Service
public class BCertificatesServiceImpl implements IBCertificatesService {
    @Resource
    private BCertificatesMapper bCertificatesMapper;

    /**
     * 查询证书管理
     *
     * @param id 证书管理主键
     * @return 证书管理
     */
    @Override
    public BCertificates selectBCertificatesById(Long id) {
        return bCertificatesMapper.selectBCertificatesById(id);
    }

    /**
     * 查询证书管理列表
     *
     * @param bCertificates 证书管理
     * @return 证书管理
     */
    @Override
    public List<BCertificates> selectBCertificatesList(BCertificates bCertificates) {
        return bCertificatesMapper.selectBCertificatesList(bCertificates);
    }

    /**
     * 新增证书管理
     *
     * @param bCertificates 证书管理
     * @return 结果
     */
    @Override
    public int insertBCertificates(BCertificates bCertificates) {
        bCertificates.setCreateTime(DateUtils.getNowDate());
        return bCertificatesMapper.insertBCertificates(bCertificates);
    }

    /**
     * 修改证书管理
     *
     * @param bCertificates 证书管理
     * @return 结果
     */
    @Override
    public int updateBCertificates(BCertificates bCertificates) {
        bCertificates.setUpdateTime(DateUtils.getNowDate());
        return bCertificatesMapper.updateBCertificates(bCertificates);
    }

    /**
     * 批量删除证书管理
     *
     * @param ids 需要删除的证书管理主键
     * @return 结果
     */
    @Override
    public int deleteBCertificatesByIds(Long[] ids) {
        return bCertificatesMapper.deleteBCertificatesByIds(ids);
    }

    /**
     * 删除证书管理信息
     *
     * @param id 证书管理主键
     * @return 结果
     */
    @Override
    public int deleteBCertificatesById(Long id) {
        return bCertificatesMapper.deleteBCertificatesById(id);
    }

    @Override
    public Map<String, Object> page(BCertificatesRequest req) {
        List<BCertificatesResponse> bCertificatesResponses = bCertificatesMapper.page(req);
        PageHelper.startPage(req.getPageNum(), req.getPageSize());
        PageInfo<BCertificatesResponse> pageInfo = new PageInfo<>(bCertificatesResponses);
        Map<String, Object> result = new HashMap<>();
        result.put("total", pageInfo.getTotal());
        result.put("list", pageInfo.getList());
        return result;
    }

    /**
     * 根据查询条件查询可以兑换的证书
     *
     * @param req 查询条件
     * @return 可以兑换的证书
     */
    @Override
    public List<BCertificates> PagePointsRedemption(BCertificatesRequest req) {
        return bCertificatesMapper.PagePointsRedemption(req);
    }
}
